/// <reference types="react" />
import './css/codemirror.css';
import 'codemirror/addon/comment/comment';
import 'codemirror/addon/edit/matchbrackets';
import './activeLine/activeLine';
import './activeLine/placeholder';
import './edit/closebrackets';
interface OpaOptions {
    value: string;
    origRight?: string;
    lang: string;
    modeMerge?: string;
    class?: string;
    lint?: boolean;
    getData?: (data: string) => void;
    readOnly?: boolean;
}
export interface OpaLang {
    data: {
        value: string;
        origRight?: string;
        lang: string;
        modeMerge: boolean;
        class?: string;
        lint?: boolean;
        getData?: (data: string) => void;
        readOnly?: boolean;
    };
}
declare const Opa: (props: OpaOptions) => JSX.Element;
export default Opa;
